/**
 * @file   modules/board/js/board.js
 * @author zero (zero@nzeo.com)
 * @brief  board 모듈의 javascript
 **/

/* 글쓰기 작성후 */
function completeDocumentInserted(ret_obj) {
    var error = ret_obj['error'];
    var message = ret_obj['message'];
    var mid = ret_obj['mid'];
    var document_srl = ret_obj['document_srl'];
    var category_srl = ret_obj['category_srl'];

    //alert(message);

    var url = current_url.setQuery('mid',mid).setQuery('document_srl',document_srl).setQuery('act','');
    if(category_srl) url = url.setQuery('category',category_srl);
    location.href = url;
}

/* 글 삭제 */
function completeDeleteDocument(ret_obj) {
    var error = ret_obj['error'];
    var message = ret_obj['message'];
    var mid = ret_obj['mid'];
    var page = ret_obj['page'];

    var url = current_url.setQuery('mid',mid).setQuery('act','').setQuery('document_srl','');
    if(page) url = url.setQuery('page',page);

    //alert(message);

    location.href = url;
}

/* 검색 실행 */
function completeSearch(fo_obj, params) {
    fo_obj.submit();
}

function completeVote(ret_obj) {
    var error = ret_obj['error'];
    var message = ret_obj['message'];
    alert(message);
    location.href = location.href;
}

// 현재 페이지 reload
function completeReload(ret_obj) {
    var error = ret_obj['error'];
    var message = ret_obj['message'];

    location.href = location.href;
}

/* 댓글 글쓰기 작성후 */
function completeInsertComment(ret_obj) {
    var error = ret_obj['error'];
    var message = ret_obj['message'];
    var mid = ret_obj['mid'];
    var document_srl = ret_obj['document_srl'];
    var comment_srl = ret_obj['comment_srl'];

    var url = current_url.setQuery('mid',mid).setQuery('document_srl',document_srl).setQuery('act','');
    if(comment_srl) url = url.setQuery('rnd',comment_srl)+"#comment_"+comment_srl;

    //alert(message);

    location.href = url;
}

/* 댓글 삭제 */
function completeDeleteComment(ret_obj) {
    var error = ret_obj['error'];
    var message = ret_obj['message'];
    var mid = ret_obj['mid'];
    var document_srl = ret_obj['document_srl'];
    var page = ret_obj['page'];

    var url = current_url.setQuery('mid',mid).setQuery('document_srl',document_srl).setQuery('act','');
    if(page) url = url.setQuery('page',page);

    //alert(message);

    location.href = url;
}

/* 트랙백 삭제 */
function completeDeleteTrackback(ret_obj) {
    var error = ret_obj['error'];
    var message = ret_obj['message'];
    var mid = ret_obj['mid'];
    var document_srl = ret_obj['document_srl'];
    var page = ret_obj['page'];

    var url = current_url.setQuery('mid',mid).setQuery('document_srl',document_srl).setQuery('act','');
    if(page) url = url.setQuery('page',page);

    //alert(message);

    location.href = url;
}

/* 카테고리 이동 */
function doChangeCategory() {
    var sel_obj = xGetElementById("board_category");
    var sel_idx = sel_obj.selectedIndex;
    var category_srl = sel_obj.options[sel_idx].value;
    location.href = current_url.setQuery('category',category_srl);
}

/* 스크랩 */
function doScrap(document_srl) {
    var params = new Array();
    params["document_srl"] = document_srl;
    exec_xml("member","procMemberScrapDocument", params, null);
}

/* 한국 우편 번호 관련 */
function doHideKrZipList(column_name) {
        var zone_list_obj = xGetElementById('zone_address_list_'+column_name);
        var zone_search_obj = xGetElementById('zone_address_search_'+column_name);
        var zone_addr1_obj = xGetElementById('zone_address_1_'+column_name);
        var addr1_obj = xGetElementById('fo_write')[column_name][0];
        var field_obj = xGetElementById('fo_write')['_tmp_address_search_'+column_name];

        zone_addr1_obj.style.display = 'none';
        zone_list_obj.style.display = 'none';
        zone_search_obj.style.display = 'inline';
        addr1_obj.value = '';
        field_obj.focus();
}

function doSelectKrZip(column_name) {
        var zone_list_obj = xGetElementById('zone_address_list_'+column_name);
        var zone_search_obj = xGetElementById('zone_address_search_'+column_name);
        var zone_addr1_obj = xGetElementById('zone_address_1_'+column_name);
        var sel_obj = xGetElementById('fo_write')['_tmp_address_list_'+column_name];
        var value = sel_obj.options[sel_obj.selectedIndex].value;
        var addr1_obj = xGetElementById('fo_write')[column_name][0];
        var addr2_obj = xGetElementById('fo_write')[column_name][1];
        addr1_obj.value = value;
        zone_search_obj.style.display = 'none';
        zone_list_obj.style.display = 'none';
        zone_addr1_obj.style.display = 'inline';
        addr2_obj.focus();
}

function doSearchKrZip(column_name) {
        var field_obj = xGetElementById('fo_write')['_tmp_address_search_'+column_name];
        var addr = field_obj.value;
        if(!addr) return;

        var params = new Array();
        params['addr'] = addr;
        params['column_name'] = column_name;

        var response_tags = new Array('error','message','address_list');
        exec_xml('krzip', 'getKrzipCodeList', params, completeSearchKrZip, response_tags, params);
}

function completeSearchKrZip(ret_obj, response_tags, callback_args) {
        if(!ret_obj['address_list']) {
                alert(alert_msg['address']);
                return;
        }
        var address_list = ret_obj['address_list'].split("\n");
        var column_name = callback_args['column_name'];

        var zone_list_obj = xGetElementById('zone_address_list_'+column_name);
        var zone_search_obj = xGetElementById('zone_address_search_'+column_name);
        var zone_addr1_obj = xGetElementById('zone_address_1_'+column_name);
        var sel_obj = xGetElementById('fo_write')['_tmp_address_list_'+column_name];

        for(var i=0;i<address_list.length;i++) {
                var opt = new Option(address_list[i],address_list[i],false,false);
                sel_obj.options[i] = opt;
        }

        for(var i=address_list.length-1;i<sel_obj.options.length;i++) {
                sel_obj.remove(i);
        }

        sel_obj.selectedIndex = 0;

        zone_search_obj.style.display = 'none';
        zone_addr1_obj.style.display = 'none';
        zone_list_obj.style.display = 'inline';
}

/*이미지팝업*/
function gonyImgWin(img){
	// by 행복한고니 (http://mygony.com)

		 var imgTmp = new Image();
			imgTmp.src = img;

			var imgWin = window.open("","gImgWin","width="+imgTmp.width+",height="+imgTmp.height+",status=no,toolbar=no,scrollbars=no,resizable=no");
						imgWin.document.write("<html><title></title>"
			+"<body topmargin=0 leftmargin=0 marginheight=0 marginwidth=0>"
			+"<a href='javascript:self.close()'><img src='"+img+"' width="+imgTmp.width+" height="+imgTmp.height+" border=0></a>"
			+"</body></html>");
}

/*
	추가된 함수들 
	작성자 : 베니(venister@empal.com)
*/
function toggle_object(post_id){   
    var obj = xGetElementById(post_id);   
    if(!obj) return;   
  
    if(obj.style.display=="none"){   
        obj.style.display='block';   
    } else {   
        obj.style.display="none";   
    }   
}